import { Body, Button, Container, Column, Head, Heading, Hr, Html, Img, Link, Row, Section, Text, Tailwind, } from "@react-email/components";
import * as React from "react";


const baseUrl = "";

export const Email = ({
  userFirstName,
  businessName,
  meetingUrl,
  meetingDate,
  meetingTime,
  duration
}) => {
  

  return (
    <Html>
      <Head />
      <Tailwind>
        <Body className="bg-white my-auto mx-auto font-sans px-2">
          <Container className="border border-solid border-[#eaeaea] rounded my-[40px] mx-auto p-[20px] max-w-[465px]">
            <Section className="mt-[32px]">
              <p className="flex justify-center text-xl uppercase font-semibold tracking-wide">Schedule.Me</p>
            </Section>
            <Text className="text-black text-[14px] leading-[24px]">Hello <span className="capitalize">{userFirstName}</span>,</Text>
            <Text className="text-black text-[14px] leading-[24px]">
              You have scheduled meeting with {businessName}. Please find your meeting details below this email. Thank you for scheduling meeting with us. 
            </Text>
            <Text>
              <p className="text-[14px]"><b>Date:</b> {meetingDate}</p>
              <p className="text-[14px]"><b>Time:</b> {meetingTime}</p>
              <p className="text-[14px]"><b>Time duration:</b> {duration}</p>
            </Text>

            <Section className="text-center mt-[32px] mb-[32px]">
              <Button className="bg-[#000000] rounded text-white text-[12px] font-semibold no-underline text-center px-5 py-3" href={meetingUrl}> Join Now </Button>
            </Section>
            <Text>
              or copy and paste this URL into your browser:{meetingUrl}
            </Text>
            <Hr className="border border-solid border-[#eaeaea] my-[26px] mx-0 w-full" />
            <Text className="text-[#666666] text-[12px] leading-[24px]">
              This notification was intended for <span className="text-black capitalize">{userFirstName}</span>. If you were not scheduling this meeting, you can ignore this email. 
            </Text>
          </Container>
        </Body>
      </Tailwind>
    </Html>
  );
};

export default Email;

