"use client"
import { useRouter } from 'next/navigation'
import React from 'react'
import { PiHandWavingFill } from "react-icons/pi";
import { ThemeDropdown } from './themedropdown/ThemeDropdown';
import Search from './search/Search';
import { useGlobalContext } from '../context/globalContext';

  

const Navbar = () => {
    const router = useRouter();
    const {state} = useGlobalContext();

    
  return (
    <div className='w-full py-4 flex items-center justify-between'>
        <div className="left"></div>
        <div className="search-container flex shrink-0 w-full gap-2 sm:w-fit justify-center items-center">
            <Search/>
            <div className='flex items-center gap-2'>
                <ThemeDropdown/>
                <button className='items-center gap-1 bg-buttonColor p-2 rounded-lg hover:opacity-90 hidden sm:flex' onClick={() => {
                    router.push('https://git.mcdevitt.tech/jtpmcdevitt')
                }}>Say Hello<PiHandWavingFill/></button>
            </div>
            
        </div>
        
    </div>
  )
}

export default Navbar